; -| cpu commands |-------------------------------------------------------------

[command]
name = "ai1"
command = D, D, U, U, D, U
time = 1

[command]
name = "ai2"
command = D, U, U, D, D, U
time = 1

[command]
name = "ai3"
command = D, D, D, U, U, U
time = 1

;-| 2/3 button combination |-----------------------------------------------
[command]
name = "recovery";required (do not remove)
command = a+b
time = 1


;-| super motions ;|--------------------------------------------------------
[command]
name = "laser"
command = ~B, D, F, a
time = 35

;----------------------------------------------------------------------

;-| single button |---------------------------------------------------------
[command]
name = "a"
command = a
time = 1

[command]
name = "b"
command = b
time = 1

[command]
name = "x"
command = x
time = 1

[command]
name = "y"
command = y
time = 1

[command]
name = "start"
command = s
time = 1
;-| hold Dir |--------------------------------------------------------------
[command]
name = "holdfwd";required (do not remove)
command = /$F
time = 1

[command]
name = "holdback";required (do not remove)
command = /$B
time = 1

[command]
name = "holdup";required (do not remove)
command = /$U
time = 1

[command]
name = "holddown";required (do not remove)
command = /$D
time = 1

[command]
name = "holdfwd1"
command = ~F
time = 1

[command]
name = "holdback1"
command = ~B
time = 1

;-| hold button |--------------------------------------------------------------
[command]
name = "hold_yb"
command = /y+b
time = 30

[command]
name = "hold_xa"
command = /x+a
time = 30

[command]
name = "hold_a"
command = /a
time = 1

[command]
name = "hold_b"
command = /B
time = 30

[command]
name = "hold_x"
command = /x
time = 1

[command]
name = "hold_y"
command = /y
time = 30

[command]
name = "start"
command = /s
time = 1

;-| Dir |--------------------------------------------------------------
[command]
name = "fwd"
command = F
time = 1

[command]
name = "back"
command = b
time = 1

[command]
name = "up" 
command = U
time = 1

[command]
name = "down"
command = D
time = 1



;---------------------------------------------------------------------------
; 2. state entry
; --------------
; this is where you Define what commands bring you to what states.
;
; each state entry block looks like:
;   [state -1, label]           ;change label to any name you want to Use to
;                               ;identify the state with.
;   type = changestate          ;don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       s, c or a : current state-type of player (stanD, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - Useful For "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                Useful For "move interrupts"
;
; note: the order of state entry is important.
;   state entry with a certain command must come before another state
;   entry with a command that is the sUBset of the First.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see cns Documentation.
;
; just For your information (skip if you're not interested):
; this part is an extension of the cns. "state -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the Following line. it's required by the cmd standard.
[statedef -1]

;===========================================================================
; liga a inteligncia artificial
[state -1, ativa ai]
type = varset
trigger1  = command = "ai1"
trigger2  = command = "ai2"
trigger3  = command = "ai3"
v = 20  
value = 1

;----------------------------------------------------------------------


[state -1]
type = changestate
value = 1701
triggerall = command = "laser"
triggerall = power >= 2000 ;level 1 super
triggerall = stateno != 1700 
triggerall = numprojid(1700) = 0
trigger1 = statetype != a
trigger1 = ctrl = 1
trigger2 = stateno = 1500
trigger3 = statetype != a
trigger3 = hitdefattr = sc, na, sa 
trigger3 = movecontact


;----------------------------------
;---------------------socos 

;stand strong punch

[state -1, stand strong punch]
type = changestate
value = 210
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = s
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;--------------------
;jump strong punch
[state -1, jump strong punch]
type = changestate
value = 610
triggerall = command = "a"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

;------------------------------------------

;crouching strong punch

[state -1, crouching strong punch]
type = changestate
value = 410
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)




